%global so_version 1

Summary:        Library to extract data from within an Excel spreadsheet
Name:           freexl
Version:        2.0.0
Release:        1%{?dist}
License:        MPL-1.1 OR GPL-2.0-or-later OR LGPL-2.1-or-later
URL:            https://www.gaia-gis.it/fossil/freexl/index
Source0:        http://www.gaia-gis.it/gaia-sins/freexl-sources/freexl-%{version}.tar.gz

BuildRequires: autoconf automake libtool gcc make

%description
FreeXL is a library to extract valid data from within spreadsheets.

Design goals:
  • to be simple and lightweight
  • to be stable, robust and efficient
  • to be easily and universally portable
  • completely ignoring any GUI-related oddity


%package devel
Summary:  Development Libraries for FreeXL
Requires: freexl = %{version}-%{release}

%description devel
The freexl-devel package contains libraries, header files and documents for
developing applications that use freexl.


%prep
%autosetup

mkdir -p clean
cp -rp examples clean/
rm -vf clean/examples/Makefile.*

%build
autoreconf -fiv
%configure --disable-static --disable-xmldocs
%make_build

%check
%make_build check


%install
%make_install
find '%{buildroot}' -type f -name '*.la' -print -delete


%files
%license COPYING
%{_libdir}/libfreexl.so.%{so_version}
%{_libdir}/libfreexl.so.%{so_version}.*


%files devel
%license COPYING
%doc AUTHORS README clean/examples
%{_includedir}/freexl.h
%{_libdir}/libfreexl.so
%{_libdir}/pkgconfig/freexl.pc


%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 2.0.0-1
- Upgrade to version 2.0.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.6-1
- initial build
